Node (Axis API)
Keywords: javax.xml.soap.Node,Node interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface Node

All Known Subinterfaces:
  Detail, DetailEntry, SOAPBody, SOAPBodyElement, SOAPElement, SOAPEnvelope, SOAPFault, SOAPFaultElement, SOAPHeader, SOAPHeaderElement, Text

All Known Implementing Classes:
  Detail, DetailEntry, MessageElement, SOAPBody, SOAPBodyElement, SOAPEnvelope, SOAPFault, SOAPFaultElement, SOAPHeader, SOAPHeaderElement, Text

public interface Node

A representation of a node (element) in a DOM representation of an XML document that provides some tree manipulation methods. This interface provides methods for getting the value of a node, for getting and setting the parent of a node, and for removing a node.

Method Summary
`void` | `detachNode()` Removes this `Node` object from the tree.
`SOAPElement` | `getParentElement()` Returns the parent element of this `Node` object.
`java.lang.String` | `getValue()` Returns the the value of the immediate child of this `Node` object if a child exists and its value is text.
`void` | `recycleNode()` Notifies the implementation that this `Node` object is no longer being used by the application and that the implementation is free to reuse this object for nodes that may be created later.
`void` | `setParentElement(SOAPElement parent)` Sets the parent of this `Node` object to the given `SOAPElement` object.

Method Detail

### getValue

    public java.lang.String getValue()

  Returns the the value of the immediate child of this `Node` object if a child exists and its value is text.

  Returns:
    a `String` with the text of the immediate child of this `Node` object if (1) there is a child and (2) the child is a `Text` object; `null` otherwise

### setParentElement

    public void setParentElement(SOAPElement parent)
                          throws SOAPException

  Sets the parent of this `Node` object to the given `SOAPElement` object.

  Parameters:
    `parent` - the `SOAPElement` object to be set as the parent of this `Node` object
  Throws:
    `SOAPException` - if there is a problem in setting the parent to the given element
  See Also:
    `getParentElement()`

### getParentElement

    public SOAPElement getParentElement()

  Returns the parent element of this `Node` object. This method can throw an `UnsupportedOperationException` if the tree is not kept in memory.

  Returns:
    the `SOAPElement` object that is the parent of this `Node` object or `null` if this `Node` object is root
  Throws:
    `java.lang.UnsupportedOperationException` - if the whole tree is not kept in memory
  See Also:
    `setParentElement(javax.xml.soap.SOAPElement)`

### detachNode

    public void detachNode()

  Removes this `Node` object from the tree. Once removed, this node can be garbage collected if there are no application references to it.

### recycleNode

    public void recycleNode()

  Notifies the implementation that this `Node` object is no longer being used by the application and that the implementation is free to reuse this object for nodes that may be created later.

  Calling the method `recycleNode` implies that the method `detachNode` has been called previously.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.